import { Modal, ModalService } from '@zeedhi/common';

export class ConsumBudgetModalController {
  private consumBudgetSelected: string = '';
  
  private consumBudgetModal!: Modal;

  public async createConsumBudgetModal() {
    this.consumBudgetModal = await ModalService.createFromJson('/modals/consumBudgetModal', true);
  }

  public async destroyConsumBudgetModal() {
    this.consumBudgetModal?.destroy();
  }

  public openConsumBudgetModal({ component }) {
    this.consumBudgetSelected = component.options.props.idOrigem;
    this.showModal();
  }

  public closeConsumBudgetModal() {
    this.consumBudgetModal.hide();
  }

  public async showModal() {
    this.destroyConsumBudgetModal();
    await this.createConsumBudgetModal();
    this.consumBudgetModal.show();
  }
}
